System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection System.Web.UI.IStateManager

Use the collection to programmatically manage a collection of -derived column objects. These objects represent the columns in a control. You can add, remove, or insert columns in the collection.

When the property is set to true, the columns created by the control are not added to the collection.

The control does not store the contents of its collection in the view state. To add or remove a column dynamically, you must programmatically add or remove the column every time the page is refreshed. Provide a Page_Init function that adds or removes the column before the control's state is reloaded and the control is rebuilt. Otherwise, the changes to the collection are not reflected in the control when it is displayed.

Although you can programmatically add columns to or remove columns from the collection of the control, it is easier to list the columns statically and then use the property to display or hide each column.

The order of the columns in the collection determines the order that the columns are displayed in the control.

The following table lists the different column classes that derive from the class.

Column Class

Description

A column that is bound to a field in a data source. It displays each item in the field as text. This is the default column type for the control.

A column that displays a command button for each item in the column. This allows you to create a column of custom button controls, such as Add or Remove buttons.

A column that contains editing commands for each item in the column.

A column that displays each item in the column as a hyperlink. The contents of the column can be bound to a field in a data source, or to static text.

A column that displays each item in the column according to a specified template. This allows you to control the content of the column, for example to display images.

The class is the base class for the column classes listed. It is not used directly in the collection.

A collection of -derived column objects that represent the columns in a control. This class cannot be inherited.

- Constructor

  Use this constructor to create and initialize a new instance of the class.

  Initializes a new instance of the class.

  The control that corresponds with this collection.
  A that stores the collection of columns.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Use this method to add a -derived column object to the end of a collection.

  The control does not store the contents of its collection in the view state. To add or remove a column dynamically, you must programmatically add or remove the column each time the page is refreshed. Provide a Page_Init function that adds or removes the column before the control can reload its state and rebuild itself. Otherwise, the changes to the collection are not reflected in the control when it is displayed.

  Although you can programmatically add columns to or remove columns from the collection of the control, it is easier to list the columns statically and then use the property to display or hide each column.

  Appends the specified -derived column object to the end of the collection.

  The -derived column object to append to the . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Use this method to insert a -derived column object at the specified index location in the collection.

  The control does not store the contents of its collection in the view state. To add or remove a column dynamically, you must programmatically add or remove the column each time the page is refreshed. Provide a Page_Init function that adds or removes the column before the control can reload its state and rebuild itself. Otherwise, the changes to the collection are not reflected in the control when it is displayed.

  Although you can programmatically add columns to or remove columns from the collection of the control, it is easier to list the columns statically and then use the property to display or hide each column.

  Inserts a -derived column object in the collection at the specified index.

  The index location in the at which to insert the -derived column. The -derived column to insert in the . 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Use this method to remove all -derived column objects from the collection.

  The property is automatically set to 0 after this method is used.

  Removes all -derived column objects from the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  Use this method to copy the contents of the collection into the specified , starting at the specified index.

  The parameter must be a zero-based .

  Copies the items from the collection to the specified , starting at the specified index in the .

  A zero-based that receives the copied items from the . The first position in the specified to receive the copied contents. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  Use this property to determine the number of columns in the collection. The property is commonly used when iterating through the collection to determine the upper bound of the collection.

  Gets the number of columns in the collection.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  System.Collections.IEnumerator

  Use this method to create a interface that can be iterated through easily to get each item in the collection.

  Use the property to get the item currently pointed to in the collection.

  Use the method to move to the next item in the collection.

  Use the method to move the enumerator to the initial position.

  The method must be called after creating a object, or after using the method to move the enumerator to the first item in the collection. Otherwise, the item represented by the property is undefined.

  Returns a interface that contains all the -derived column objects in the collection.

  A interface that contains all -derived column objects in the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 ``

  Use this method to determine the index number of the specified -derived column object in the collection. If the specified -derived column object is not found, an index of -1 is returned.

  Returns the index of the specified -derived column object from the collection.

  The index position of the specified -derived column in the . The default value is -1, which indicates that the specified -derived object is not found.

  The -derived column to search for in the . 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This property always returns false to indicate that the collection can be written to in all cases.

  Gets a value that indicates whether the columns in the collection can be modified.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Boolean To be added: an object of type 'bool'

  This property is derived from the class and is overridden to always return false.

  For more information on the property, see the property of the interface.

  Gets a value indicating whether access to the collection is synchronized (thread safe).

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.ComponentModel.Browsable(false)
  System.Web.UI.WebControls.DataGridColumn `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use this method to remove the specified -derived column object from a collection.

  The control does not store the contents of its collection in the view state. To add or remove a column dynamically, you must programmatically add or remove the column every time the page is refreshed. Provide a Page_Init function that adds or removes the column before the control can reload its state and rebuild itself. Otherwise, the changes to the collection are not reflected in the control when it is displayed.

  Although you can programmatically add columns to or remove columns from the collection of the control, it is easier to list the columns statically and then use the property to display or hide each column.

  Removes the specified -derived column object from the collection.

  The -derived column to remove from the . 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use this method to remove a -derived column object from a collection at the specified index.

  The control does not store the contents of its collection in the view state. To add or remove a column dynamically, you must programmatically add or remove the column each time the page is refreshed. Provide a Page_Init function that adds or removes the column before the control can reload its state and rebuild itself. Otherwise, the changes to the collection are not reflected in the control when it is displayed.

  Although you can programmatically add columns to or remove columns from the collection of the control, it is easier to list the columns statically and then use the property to display or hide each column.

  Removes a -derived column object from the collection at the specified index.

  The index of the -derived column in the to remove. 1.0.5000.0 2.0.0.0
- Property
  System.Object To be added: an object of type 'object'

  The object returned in this implementation is the object.

  For more information on the property, see the property of the interface.

  Gets the object that can be used to synchronize access to the collection.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  The member is an explicit interface member implementation. It can be used only when a instance is cast to an interface.

  Gets a value indicating whether the collection is tracking its view-state changes.

- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added.

  Loads the previously saved state.

  An that contains the saved view state values for the control.
- Method
  1.0.5000.0
  2.0.0.0
  System.Object To be added.

  Returns an object containing state changes.

  An that contains the saved view state values for the control.

- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added.

  Starts tracking state changes.